<template>
	<wd-cell-group title="申请信息">
		<wd-cell title="申请人" :value="info.sqr" />
		<wd-cell title="业务类别" :value="info.ywlb" />
		<wd-cell title="申请事由" :value="info.sqsy" />
		<wd-cell title="部门审批领导" :value="info.bmspld_dictText" />
		<wd-cell title="申请部门" :value="info.sqbm" />
		<wd-cell title="申请时间" :value="info.sqsj" />
		<wd-cell title="申请盖章领导" :value="info.gzld" />
		<wd-cell title="申请盖章厂领导" :value="info.gzcld" />
		<wd-cell title="盖章位置" :value="info.gzwz" />
		<wd-cell title="盖章文件" >
			 <view style="color: #4d80f0;" @click="onlinePreView(info.wj)"  plain>{{info.wj.match(/([^\/]+)(?=\.\w+$)/)[0]}}</view>
		</wd-cell>
	</wd-cell-group>
</template>

<script setup>
	import {
		queryUnData
	} from '@/api/integrated/unconventional'
	import {
		imgUrl
	} from '@/utils/index'

	const info = ref({})
	const image = ref([])
	const props = defineProps({
		formData: {
			type: Object,
			default: () => {},
		}
	})

	const queryData = ()=>{
		queryUnData({id:props.formData.dataId}).then(res=>{
			info.value  = res.result.records[0]
		})
	}
	
	const onlinePreView = (fileUrl) => {
		uni.navigateTo({
			url: `/pages/onlinePreview/detail?data=${fileUrl}`
		});
	};


	onMounted(() => {
		queryData();
	})
</script>